import 'package:dio/dio.dart';
import 'package:json_annotation/json_annotation.dart';

part 'ResultObject.g.dart';

@JsonSerializable()
class ResultObject {
  Object ResultData;
  String ErrorMessage;
  String Message;
  bool IsError;
  Object exception;
  ResultObject(
      {this.ResultData,
      this.ErrorMessage,
      this.Message,
      this.IsError,
      this.exception});
  factory ResultObject.fromJson(Map<String, dynamic> json) =>
      _$ResultObjectFromJson(json);

  Map<String, dynamic> toJson() => _$ResultObjectToJson(this);
}

class CommonResponse {
  Response ResponseData;
  DioError ErrorData;
  Exception ErrorException;
  CommonResponse({this.ResponseData, this.ErrorData, this.ErrorException});
}
