class CommonUlti {
  static final CommonUlti _singleton = CommonUlti._internal();
  CommonUlti._internal();
  factory CommonUlti() => _singleton;
  int ParseInt(dynamic obj, {int def = 0}) {
    try {
      if (obj == null) return def;
      return int.parse(obj);
    } catch (e) {
      return def;
    }
  }

  double ParseDuble(dynamic obj, {double def = 0}) {
    try {
      if (obj == null) return def;
      return double.parse(obj);
    } catch (e) {
      return def;
    }
  }

  int GetUnixByDateTime(DateTime date) {
    try {
      if (date == null) return 0;
      final startDate = DateTime(1970, 1, 1);
      return date.difference(startDate).inSeconds;
    } catch (e) {
      return 0;
    }
  }

  DateTime GetDateTimeByUnix(int date) {
    try {
      if (date == 0) return DateTime(1970, 1, 1);
      return DateTime.fromMillisecondsSinceEpoch(date * 1000).toUtc();
    } catch (e) {
      return DateTime(1970, 1, 1);
    }
  }
}
