import 'dart:ui';

class AppTranslations {
  static final AppTranslations _application = AppTranslations._internal();
  factory AppTranslations() {
    return _application;
  }
  AppTranslations._internal();
  String assetLang = "assets/translate/";
  List<Locale> supportedLanguages = [
    Locale("en", "US"),
    Locale("vi", ""),
  ];
  void UpdateSupportLanguagesCode() {
    supportedLanguagesCodes.clear();
    supportedLanguages.forEach((element) {
      supportedLanguagesCodes.add(element.languageCode);
    });
  }

  List<String> supportedLanguagesCodes = [];
}
